1. SnakeAes's Avatar
    If I am running an iPhone 5, is it too late for me to downgrade to 6.1.2?

    I've tried iOS 7 and, jailbreak stability issues aside, I just don't like it. I'd like to downgrade back to 6.1.2 if possible.

    Based on what I've read, this is no longer possible unless I'm on an iPhone 4. I have the ipsw for iPhone 5 6.1.2 but can't select it because the firmware is not compatible with my version of iTunes.

    Am I out of luck or is there another way?
    2014-01-01 01:55 AM
  2. 2k1's Avatar
    Can't be done sorry.
    2014-01-01 03:06 AM
LINK TO POST COPIED TO CLIPBOARD